<template>
  <div class="hello">
    <h1>{{ hellomsg }}</h1>
    <h2>{{ helloFromData }}: </h2>
    <input v-model="helloFromData"/>
    <ul id="tasks">
      <li v-for="task in tasks">
        <span v-if="task.title == 'Salade'" style="color:red;" v-show="task.display==true">
          {{ task.title }}
        </span>
        <span v-else v-show="task.display==true" v-on:click="callMethod(task)">
            {{ task.title }} {{task.display}}
        </span>
      </li>
    </ul>
  </div>

</template>

<script>
export default {
  name: 'hello',
  props: { hellomsg: { type: String, required: true } },
  data: function(){
    return {
      helloFromData :'hello from dataeux',
      tasks: [
        { title: 'Tarte aux pommes', display:true },
        { title: 'Omelettes', display:false },
        { title: 'Salade', display:true }
      ]
    }
  },
  methods:  {
    callMethod : function(task){
      alert('Hello : ' + task.title);
    }
  }
}
</script>
